classification
Title: UnixCCompiler always uses compiler_so, not compiler
Type: behavior Stage: resolved
Components: Distutils Versions: Python 3.2, Python 3.3
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: tarek Nosy List: eric.araujo, pitrou, steve.dower, tarek
Priority: normal Keywords:

Created on 2011-03-18 19:04 by pitrou, last changed 2021-02-03 18:16 by steve.dower. This issue is now closed.

Messages (3)
msg131355 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-03-18 19:04
UnixCCompiler always uses "compiler_so", not "compiler", even when creating a .o file. It is misleading and begs the question why compiler even exists.
msg220915 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-06-17 23:40
Can we have an answer to the question given in msg131355 please?
msg386307 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:16
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:16:23steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386307

resolution: out of date
stage: needs patch -> resolved
2019-03-15 23:29:10BreamoreBoysetnosy: - BreamoreBoy
2014-06-17 23:40:51BreamoreBoysetnosy: + BreamoreBoy
messages: + msg220915
2011-03-18 19:04:12pitroucreate